#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x89,0x61,0x6A,0x85,0xF9,0x3B,0x36,0x32,0x39,0x6C,0xA3,0x26,
		0x66,0x58,0xE6,0x17,0x26,0x92,0xAE,0x7D,0x9E,0x55,0xE6,0x97,
		0xE9,0x9A,0x48,0x5A,0xCA,0x91,0xE9,0x93,0x05,0x77,0xD9,0xA4,
		0x41,0x4B,0x1E,0xDD,0x66,0x73,0x9E,0xFB,0xA0,0x13,0xC4,0xDF,
		0xB2,0xB7,0xEF,0xC9,0x18,0x16,0xF3,0x45,0xE1,0x6B,0xAE,0x20,
		0x46,0x0D,0x33,0x9B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
